#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    long i,n,k,x,br=0;
    scanf("%li %li",&n,&k);
    long a[2*n+2],b[2*n+2];
    for (i=0; i<=2*n; i++)
        a[i]=0;
    for (i=1; i<=n; i++)
    {
        scanf("%li",&x);
        if (x>=0)
            a[x]++;
        else
            a[-x+n]++;
    }
    for (i=0; i<=2*n; i++)
        if (a[i]>=k)
        {
            if (i<=n)
            {
                b[br]=i;
            }
            else
            {
                b[br]=-(i-n);
            }
            br++;
        }
    printf("%li\n",br);
    for (i=0; i<br; i++)
    {
        printf("%li",b[i]);
        if (i<br-1)
            printf(" ");
    }
    return 0;
}